<CsoundSynthesizer>
<CsOptions>
; Select audio/midi flags here according to platform
-odac     ;;;realtime audio out
;-iadc    ;;;uncomment -iadc if RT audio input is needed too
; For Non-realtime ouput leave only the line below:
; -o STKMandolin.wav -W ;;; for file output any platform

csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  -+rtmidi=virtual -M0
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs  = 1

;global k-rate variables
gkmod init 0
gkcross init 0
gklfo init 0
gklfodepth init 0
;gkadsr init 0

ginote init 0

;all midi channels use instr 1
	massign  1, 1 
	massign  2, 1
	massign  3, 1
	massign  4, 1
	massign  5, 1
	massign  6, 1
	massign  7, 1
	massign  8, 1
	massign  9, 1
	massign 10, 1
	massign 11, 1
	massign 12, 1
	massign 13, 1
	massign 14, 1
	massign 15, 1
	massign 16, 1

;allocate space for instr 1 and 2
prealloc 1,1 
prealloc 2,1

instr 1

;get a note from the virtual keyboard
ginote cpsmidi;

;play a 10 sec dur note
if (ginote > 0) then
schedule 2, 0, 10;schedule inst2 to play during inst1's dur
endif

;uncomment printk2 to see controller values in stdout
; controller2, total modulator index. Value range of kv1 is 0-127.
gkmod ctrl7 1, 2, 0, 127
;printk2 gkmod

; controller 4, crossfade of modulator. Value range of kv2 is 0-127.
gkcross ctrl7 1, 4, 0, 127
;printk2 gkcross

; controller 11, speed of low-frequency oscillator. Value range of kv3 is 0-127.
gklfo ctrl7 1, 11, 0, 127
;printk2 gklfo

; controller 1, depth of low-frequency oscillator. Value range of kv4 is 0-127.
gklfodepth ctrl7 1, 1, 0, 127
;printk2 gklfodepth

;no controller 128 on the virtual keyboard
; controller 128, ADSR 2 and 4 target. Value range of kv5 is 0-127.
;gkadsr ctrl7 1, 128, 0, 127
;printk2 gkadsr

endin

instr 2
;requires STK opcodes

asig	STKHevyMetl ginote, 1, 2, gkmod, 4, gkcross, 11, gklfo, 1, gklfodepth, 128, 100
	outs asig, asig
endin

</CsInstruments>
<CsScore>
;f0 60
;using action time instead of f0 to see printing to stdout if needed
i1 0 60

e
</CsScore>
</CsoundSynthesizer>
