
<CsoundSynthesizer>
<CsOptions>
; Select audio/midi flags here according to platform
; Audio out   Audio in    No messages
;-odac           -iadc     -d     ;;;RT audio I/O

csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs  = 1

instr 1

;---the lfo---
itype = p5	;lfo waveform
klfoamp linseg 0, p3 * .4, p6, p3 * .4, 0, p3 * .2, 0  ;lfo amp
;kcps  = 5 ;static lfo speed
kcps linseg 0, p3 * .4, p6, p3 * .4, 0, p3 * .2, 0 ;lfo speed or freq
a1   lfo klfoamp, kcps, itype

;---a second sig to modulate timbre---
kamp linseg 0, p3 * .4, 100, p3 * .4, 0, p3 * .2, 0  ;lfo amp
a2   oscil kamp, p4, 23 ;square wave

kamp2 linseg 0, p3 * .4, 1, p3 * .4, .25, p3 * .2, 0
;the base signal which sums with lfo
asig2 poscil kamp2, p4+a1+a2, 1 ; summing
;asig2 poscil kamp2, p4+a1*a2, 1 ; multiplication


;stereo outputs
 outs     asig2, asig2

endin
</CsInstruments>
<CsScore>
; sine wave.
f 1 0 32768 10 1
; Square Wave
f02     0       512     10      1   0   .3   0   .2    0  .14    0 .111
; more Spliners
f22 0 512 8  0.000000 86 0.400000 21 0.150000 24 0.880000 46 0.30

f23 0 512 8  0.000000 53 0.800000 54 -0.390000 39 0.470000 29 -0.1

i1  0  6  300 	0	20	;lfo = sine
i1  7  6  400	2	30	;lfo = square
i1  14 6  600 	5	5	;lfo = saw-tooth down
e
</CsScore>
</CsoundSynthesizer>
