<CsoundSynthesizer>
<CsOptions>
; Select audio/midi flags here according to platform
; Audio out   Audio in    No messages
;-odac           -iadc     -d     ;;;RT audio I/O

;csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384 
csound  -+rtaudio=ALSA -odevaudio -b1024 -B16384   
</CsOptions>
<CsInstruments>

; This code is based on the Drum Instrument based on
; Risset's Introductory Catalog of Computer Synthesized Sounds
; see pp.93-94 and figure 3.26 in "Computer Music" - Dodge


sr=44100
kr=441
ksmps=100
nchnls= 1
0dbfs = 1

instr 1

;using a oscillator as amp envelope
;note a1 is input into a1
;note shape of f2
;note freq of first a1 is 1/p3 which
;allows the shape of f2 to 'fit' within dur of p3
;note first osc is used as amp to second osc
;note second osc used sine as waveform and standard freq for pitch
                    
;a1      oscili  p5,1/p3,2 
;kpitch = cpsmidinn(p4)        
;a1 oscili  a1,kpitch ,1
;kpitch = cpsmidinn(p4)
;printk2 kpitch
	;out a1

;expressed as function
out(oscili(oscili:k(p5,1/p3,2), cpsmidinn(p4), 1));

endin
</CsInstruments>
<CsScore>

; oscili waveform
f1 0 512 10 1 

; amp envelopes
;uses Gen05
;f2 0 512 5 1 512 2
f2 0 512 5 1 400 2 112 1


;       start   dur     freq    	 amp     
i1      1.00    1    	[~ * 40 + 60 ]   .75   
i1      3.00    2   	[~ * 40 + 60 ]   .75   
i1      6.00    .75     [~ * 40 + 60 ]   .75   
i1      8.00    .8     	[~ * 40 + 60 ]   .75  
i1      10.00    4     	[~ * 40 + 60 ]   .75   

e

</CsScore>
</CsoundSynthesizer>
